This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 421851 - X server sometimes fails to start (no screens with usable config)
X server sometimes fails to start (no screens with usable config)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 11:15 EST by James Ralston
Modified: 2009-01-09 02:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:31:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log startup problem, with xorg.conf (30.86 KB, text/plain)
2007-12-12 13:57 EST, James Ralston
no flags Details
Xorg.0.log startup problem, without xorg.conf (33.88 KB, text/plain)
2007-12-12 13:59 EST, James Ralston
no flags Details

  None (edit)
Description James Ralston 2007-12-12 11:15:12 EST
Occasionally, the X server will fail to start.  When this happens, the following
error message appears in Xorg.0.log:

(EE) Screen(s) found, but none have a usable configuration.

I have seen this problem for a while now, with multiple versions of
xorg-x11-drv-ati.  (Currently, I am using xorg-x11-drv-ati-6.7.196-4.fc8.)

This problem never occurs the very first time I launch the X server after a
reboot; it only appears if a previously ran an X server at some point since the
last reboot.  It occurs only sporadically; it does not occur every time.

I do not use gdm; I boot into runlevel 3 and run startx manually to start the
server.  Therefore, I do not know if this problem occurs when using gdm (in
runlevel 5).

I see this problem primarily on my laptop, which has a:

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 [Mobility
FireGL 9000] (rev 01)

I *think* I have seen it on other boxes (with different Radeon cards), but I am
not completely sure about that.  (The instances of encountering it on my laptop
are the only ones that stick out in my mind.)
Comment 1 James Ralston 2007-12-12 13:57:28 EST
Created attachment 286021 [details]
Xorg.0.log startup problem, with xorg.conf

Here's the X server log from a failed attempt to start.  In this attempt, the
/etc/X11/xorg.conf file (as configured by system-config-display) is present.
Comment 2 James Ralston 2007-12-12 13:59:33 EST
Created attachment 286041 [details]
Xorg.0.log startup problem, without xorg.conf

Here's the X server log from another failed attempt to start.  In this attempt,
I removed the /etc/X11/xorg.conf file (as configured by system-config-display)
and let the X server autodetect everything.  However, the failure mode was the
same.
Comment 3 Bug Zapper 2008-11-26 03:58:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 02:31:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.